I get this message:

ERROR: cannot launch node of type [read_odometry/odom_subscriber.py]: can't locate node [odom_subscriber.py] in package [read_odometry]

from: roslaunch read_odometry odom_subscriber.launch

Can you tell me how to solve it?

asked 29 May, 14:45

harsadhani%40yahoo.com's gravatar image

harsadhani@y...
01
accept rate: 0%


Hi @harsadhaniyahoocom,

Please check that the file odom_subscriber.py is executable. You can make it executable with:

chmod +x /path/to/odom_subscriber.py

NOTE: Please change the path to the file accordingly - the above is just an example.

permanent link
This answer is marked "community wiki".

answered 29 May, 18:59

bayodesegun%40bayodesegun.com's gravatar image

bayodesegun@...
1352
accept rate: 52%

edited 29 May, 19:01

Yes, it solved the problem. Thank you.

(08 Jun, 00:11) harsadhani@y...

Okay, thanks for the feedback! Could you please also accept the answer since it solved your problem?

(10 Jun, 10:06) bayodesegun@...
Your answer
toggle preview

Follow this question

By Email:

Once you sign in you will be able to subscribe for any updates here

By RSS:

Answers

Answers and Comments

Markdown Basics

  • *italic* or _italic_
  • **bold** or __bold__
  • link:[text](http://url.com/ "title")
  • image?![alt text](/path/img.jpg "title")
  • numbered list: 1. Foo 2. Bar
  • to add a line break simply add two spaces to where you would like the new line to be.
  • basic HTML tags are also supported

Question tags:

×1

question asked: 29 May, 14:45

question was seen: 64 times

last updated: 10 Jun, 10:06

Related questions

powered by OSQA